AFNI Message Board

History of AFNI updates  

|
May 20, 2017 01:18PM
Dear experts
I am facing some problems when installing AFNI, and below is my check report.
ps. i believed that i have installed fink already
Thanks a lot!
-------------------------------- general ---------------------------------
architecture: 64bit
system: Darwin
release: 16.7.0
version: Darwin Kernel Version 16.7.0: Tue May 9 11:48:28 PDT 2017; root:xnu-3789.70.9~16/RELEASE_X86_64
distribution: 10.12.6 x86_64
number of CPUs: 4
apparent login shell: tcsh
shell RC file: .cshrc (exists)

--------------------- AFNI and related program tests ---------------------
which afni : /Users/dogdogman/abin/afni
afni version : Precompiled binary macosx_10.7_Intel_64: May 12 2017
: AFNI_17.1.05
AFNI_version.txt : AFNI_17.1.05, macosx_10.7_Intel_64, May 12 2017
which python : /usr/bin/python
python version : 2.7.10
which R : /usr/local/bin/R
R version : R version 3.4.0 (2017-04-21) -- "You Stupid Darkness"
which tcsh : /bin/tcsh

instances of various programs found in PATH:
afni : 1 (/Users/dogdogman/abin/afni)
R : 1 (/Library/Frameworks/R.framework/Versions/3.4/Resources/bin/R)
python : 1 (/usr/bin/python)
python2 : 0
python3 : 0


testing ability to start various programs...
afni : success
suma : success
3dSkullStrip : success
uber_subject.py : success
3dAllineate : FAILURE
dyld: Library not loaded: /usr/local/lib/libgomp.1.dylib
Referenced from: /Users/dogdogman/abin/3dAllineate
Reason: image not found
3dRSFC : success
SurfMesh : success

checking for R packages...
rPkgsInstall -pkgs ALL -check : success

checking for $HOME files...
.afnirc : found
.sumarc : found
.afni/help/all_progs.COMP : found

------------------------------ python libs -------------------------------
** python module not found: PyQt4

python binaries under /sw/bin:
/sw/bin/python (sym link to /sw/bin/python2.7)
/sw/bin/python2.7

-------------------------------- env vars --------------------------------
PATH = /usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/X11/bin:/Users/dogdogman/abin

PYTHONPATH = /Users/dogdogman/Python

R_LIBS =
LD_LIBRARY_PATH =
DYLD_LIBRARY_PATH (sub-shell) =
DYLD_FALLBACK_LIBRARY_PATH (sub-shell) =

------------------------------ data checks -------------------------------
data dir : missing AFNI_data6
data dir : missing AFNI_demos
data dir : missing suma_demo
data dir : missing afni_handouts
atlas : found TT_N27+tlrc under /Users/dogdogman/abin

------------------------------ OS specific -------------------------------

++ found PyQt4 under /sw/lib/qt4-mac/lib/python2.7/site-packages
++ found 1 dylib files under '/opt/X11/lib/flat_namespace'
-- found 'libXt' dylib files:
/opt/X11/lib/flat_namespace/libXt.6.dylib
-- recent OS X, cannot check DYLD_LIBRARY_PATH in cur shell, cheating ...
** env var DYLD_LIBRARY_PATH not set to contain /opt/X11/lib/flat_namespace

========================= summary, please fix: =========================
* AFNI programs show FAILURE
* insufficient data for AFNI bootcamp
* consider installing fink
* consider adding /sw/lib/qt4-mac/lib/python2.7/site-packages to PYTHONPATH
* please set DYLD_LIBRARY_PATH to /opt/X11/lib/flat_namespace in tcsh
Subject Author Posted

AFNI installation problem

jimmy601521 May 20, 2017 01:18PM

Re: AFNI installation problem

ptaylor May 21, 2017 03:32PM

Re: AFNI installation problem

jimmy601521 May 28, 2017 02:19PM



Sorry, only registered users may post in this forum.

Click here to login